Bug 111764 - Wierd cruft in database after loading MPA type
Summary: Wierd cruft in database after loading MPA type
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-09 20:30 UTC by Jon Orris
Modified: 2007-04-18 17:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-10 09:50:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jon Orris 2003-12-09 20:30:40 UTC
Description of problem:
@38576/postgres

The code that loads Multi-part articles leaves some odd cruft in the
database.

cms_items after loading other types, but before loading MPA:
jorris=# select * from cms_items;
 item_id | parent_id |   name    | type_id | version | language |
section_id | ancestors | master_id 
---------+-----------+-----------+---------+---------+----------+------------+-----------+-----------
    1020 |           | templates |         | draft   |          |    
       | 1020/     |          
    2005 |           | templates |         | draft   |          |    
       | 2005/     |          
    1017 |           | /         |         | draft   |          |    
  1021 | 1017/     |          
    2002 |           | /         |         | draft   |          |    
  2006 | 2002/     |          
(4 rows)

After loading MPA:

jorris=# select * from cms_items;
 item_id | parent_id |              name               | type_id |
version | language | section_id |  ancestors   | master_id 
---------+-----------+---------------------------------+---------+---------+----------+------------+--------------+-----------
    1020 |           | templates                       |         |
draft   |          |            | 1020/        |          
    2005 |           | templates                       |         |
draft   |          |            | 2005/        |          
    2002 |           | /                               |         |
draft   |          |       2006 | 2002/        |          
    1017 |           | /                               |         |
draft   |          |       1021 | 1017/        |          
   20009 |      1020 | MultiPartArticle-mparticle-item |    1010 |
draft   |          |       1021 | 1020/20009/  |          
   20014 |           | templates                       |         |
live    |          |            | 20014/       |      1020
   20013 |     20014 | MultiPartArticle-mparticle-item |    1010 |
pending |          |       1021 | 20014/20013/ |     20009
(7 rows)

Comment 1 Daniel Berrange 2003-12-10 09:50:32 UTC
What you are seeing is the custom item.jsp template that has been
registered & published against the MultipartArticle type. This is
required in order to add the ArticleSectionPanel component to
item.jsp.If you go into the /content/admin, select the 'Content Types'
tab & then select the 'MultipartArticle' type, you should see it
listed under the 'templates' panel.



Note You need to log in before you can comment on or make changes to this bug.